summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorDiego Elio Pettenò <flameeyes@gentoo.org>2006-06-15 16:33:39 +0000
committerDiego Elio Pettenò <flameeyes@gentoo.org>2006-06-15 16:33:39 +0000
commitb6683637241a2c8185057101f3d77a2c290a0652 (patch)
tree71f9241e8b9d107139161b5ac8004b75ca6061ba /eclass
parentVersion bump with fix for divisions by zero. (diff)
downloadhistorical-b6683637241a2c8185057101f3d77a2c290a0652.tar.gz
historical-b6683637241a2c8185057101f3d77a2c290a0652.tar.bz2
historical-b6683637241a2c8185057101f3d77a2c290a0652.zip
Use emake for install, and for the cvs makefile.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/kde.eclass6
1 files changed, 3 insertions, 3 deletions
diff --git a/eclass/kde.eclass b/eclass/kde.eclass
index 26f82ac64887..52517a4c6599 100644
--- a/eclass/kde.eclass
+++ b/eclass/kde.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/kde.eclass,v 1.167 2006/06/11 12:57:07 carlo Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/kde.eclass,v 1.168 2006/06/15 16:33:39 flameeyes Exp $
#
# Author Dan Armak <danarmak@gentoo.org>
#
@@ -223,7 +223,7 @@ kde_src_compile() {
done
if [ -f "$makefile" ]; then
debug-print "$FUNCNAME: configure: generating configure script, running make -f $makefile"
- make -f $makefile
+ emake -j1 -f $makefile
fi
[ -f "./configure" ] || die "no configure script found, generation unsuccessful"
fi
@@ -318,7 +318,7 @@ kde_src_install() {
case $1 in
make)
debug-print-section make
- make install DESTDIR=${D} destdir=${D} || die "died running make install, $FUNCNAME:make"
+ emake install DESTDIR=${D} destdir=${D} || die "died running make install, $FUNCNAME:make"
;;
dodoc)
debug-print-section dodoc